# Identify OpenAPI ID

## View List of Customers

> Retrieves the list of customer identifiers accessible to the authenticated client

```json
{"openapi":"3.0.0","info":{"title":"VRK Service API","version":"1.0.0"},"servers":[{"url":"https://vrkapis-dev.vfims.com/api","description":"DEV"},{"url":"https://vrkapis-cst.vfims.com/api","description":"CST"}],"paths":{"/v1/Customers/":{"get":{"summary":"View List of Customers","description":"Retrieves the list of customer identifiers accessible to the authenticated client","tags":["VRK"],"responses":{"200":{"description":"OK - Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"SUCCESS or FAILURE"},"errors":{"type":"array","items":{"type":"object","description":"Only present if Status is not SUCCESS","properties":{"code":{"type":"string","description":"Error code value, see 'Standard Error Codes' table"},"details":{"type":"object","description":"Name of the request field that caused the error (if a specific field can be identified).","properties":{"fieldName":{"type":"string","description":"Name of input field where error occurred."}}},"Message":{"type":"string","description":"Description of the error code"},"severity":{"type":"integer","description":"Hard-coded to 3"}}}},"data":{"type":"array","items":{"type":"object","properties":{"ephemeralKeyAlgorithm":{"type":"integer","description":"Default Ephemeral Key Algorithm when Signing Certificates are RSA. See Key Algorithm and Length table in Common Fields section."},"ephemeralKeyLength":{"type":"integer","description":"Default Ephemeral Key Length when Signing Certificates are RSA. See Key Algorithm and Length table in Common Fields section."},"friendlyName":{"type":"string","description":"Optional Friendly Name string"},"name":{"type":"string","description":"Customer IDs accessible to the current connection profile."}}}}}}}}}}}}}}
```

## GET /v1.1/actions/

> Returns a list of all action

```json
{"openapi":"3.1.1","info":{"title":"VerifoneHQ API","version":"3.27.01.09"},"servers":[{"url":"https://qa.mumbai.verifonehq.net/apis"}],"security":[{"portalUserAccessCode":["openid"]}],"components":{"securitySchemes":{"portalUserAccessCode":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://qa.account.verifonecp.com/oauth2/authorize","scopes":{"openid":"grants read, write and soft delete permissions on customer and user resources. grants read permission on the application resource"}}}}},"schemas":{"actionResponse":{"type":"object","description":"Response payload for action","required":["status"],"properties":{"status":{"$ref":"#/components/schemas/status"},"data":{"type":"array","items":{"$ref":"#/components/schemas/action"}},"metadata":{"$ref":"#/components/schemas/metadata"},"errors":{"$ref":"#/components/schemas/errors"}}},"status":{"type":"string","enum":["SUCCESS","FAILURE"],"description":"Provides success status for the response"},"action":{"type":"object","description":"This is used to get diagnostics actions of device(s)","properties":{"id":{"type":"integer","format":"int64","description":"Action Job identifier"},"customerId":{"type":"integer","format":"int64","description":"Customer Id of the diagnostics action"},"jobName":{"type":"string","description":"Action job name"},"tags":{"type":"string","description":"Free format text based tag"},"createdDate":{"type":"string","format":"date-time","description":"Date and time when diagnostics action was created"},"component":{"type":"string","description":"Name of the component, e.g. Payment Device, Tablet"},"actionDate":{"type":"string","format":"date-time","description":"Scheduled date and time of the execution"},"actionRecurrence":{"type":"string","enum":["NONE","HOURLY","DAILY","WEEKLY","MONTHLY"],"description":"Option to indicate Action recurrence pattern. For actionRecurrence options other than NONE, specify endAfterGivenNumberOfOccurences or endDate to indicate when to stop the execution. Otherwise action will be executed indefinitely until the job is cancelled. Optional to add the entity. The default value is NONE only for the specified date for startOn. Valid values are NONE, HOURLY, DAILY, WEEKLY, MONTHLY"},"scheduleDescription":{"type":"string","description":"Indicates when the diagnostics action(s) are scheduled to be executed"},"actionTaskStatus":{"type":"array","items":{"$ref":"#/components/schemas/actionTaskStatus"},"description":"Diagnostics action status"}}},"actionTaskStatus":{"type":"object","properties":{"taskId":{"type":"integer","format":"int64","description":"Diagnostics action task identifier. An action job can have multiple action tasks"},"deviceUid":{"type":"integer","format":"int64","description":"Device unique internal identifier"},"actionTypeId":{"type":"integer","format":"int64","description":"Action type identifier"},"actionTypeName":{"type":"string","description":"Action type name"},"status":{"type":"string","enum":["SUCCESS","FAILED","SCHEDULE_SENT","SCHEDULED","SCHEDULING","SCHEDULE_CONFIRMED"],"description":"Action task status"},"statusAdditionalInformation":{"type":"string","description":"Additional information on the received status"},"actionExecutedDate":{"type":"string","format":"date-time","description":"Date and time when action was executed"},"statusReceivedDate":{"type":"string","format":"date-time","description":"Date and time when status received "},"responseFileURL":{"type":"string","description":"Location of device uploaded file. Applicable only for specific actions like 'Get OS Logs'"}}},"metadata":{"type":"object","required":["count"],"description":"Provides metadata for the response","properties":{"count":{"type":"integer","format":"int64","description":"number of records returned"},"offset":{"type":"integer","format":"int64","description":"offset record number for current page of results"},"limit":{"type":"integer","format":"int64","description":"number of results in the current page"},"sort":{"type":"string","description":"sort criteria in the format '+<key>' or '-<key>"}}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/error"},"minItems":0,"uniqueItems":true},"error":{"type":"object","required":["code","name","severity"],"properties":{"code":{"type":"integer","format":"int32","description":"The error code that identifies this error"},"name":{"type":"string","description":"Summary / title of the error message"},"severity":{"type":"integer","format":"int32","description":"Number indicating how severe the error is. 0 = Emergency: system is unusable, 1 =\tAlert: action must be taken immediately, 2 =\tCritical: critical conditions, 3 = Error: error conditions, 4 =\tWarning: warning conditions, 5 =\tNotice: normal but significant, condition, 6 = Informational: informational messages, 7\t= Debug: debug-level messages"},"message":{"type":"string","description":"Detailed description of the error"},"details":{"type":"object","description":"Information that can be parsed and interpreted by the implementation. This is a JSON object"}}},"commonResponseError":{"type":"object","description":"Error Response payload","required":["status"],"properties":{"status":{"$ref":"#/components/schemas/statusError"},"errors":{"$ref":"#/components/schemas/errors"}}},"statusError":{"type":"string","enum":["FAILURE"],"description":"Provides success status for the response"}}},"paths":{"/v1.1/actions/":{"get":{"description":"Returns a list of all action","operationId":"getactions_v1.1","tags":["actions"],"parameters":[{"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"style":"form","explode":false,"name":"id","in":"query","description":"Return all actions with the given identifier(s)","required":false},{"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"style":"form","explode":false,"name":"customerId","in":"query","description":"Return actions for the given customer identifier(s)","required":false},{"schema":{"type":"string"},"name":"jobName","in":"query","description":"Action job name","required":false},{"schema":{"type":"string","format":"enum"},"name":"status","in":"query","description":"Action status. Valid Values are ACTIVE, CANCEL_REQUESTED, CANCELLED, COMPLETED, FAILED, SCHEDULE_SENT, SCHEDULED, SCHEDULING","required":false},{"schema":{"type":"string","format":"enum"},"name":"beginActionAt","in":"query","description":"Option to indicate when to begin action execution. Valid values are NEXT_CONTACT, NEXT_MAINTENANCE_WINDOW, SPECIFIED_DATE","required":false},{"schema":{"type":"string","format":"date-time"},"name":"actionDate","in":"query","description":"Return all actions scheduled for execution on or after the date and time provided","required":false},{"schema":{"type":"string"},"name":"tags","in":"query","description":"Free format text based tag","required":false},{"schema":{"type":"string"},"name":"component","in":"query","description":"Name of the component, e.g. Payment Device, Tablet","required":false},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","description":"Return all actions created on or after the date and time provided","required":false},{"schema":{"type":"string","format":"date-time"},"name":"actionExecutedDate","in":"query","description":"Return all actions executed on or after the date and time provided","required":false},{"schema":{"type":"string","format":"date-time"},"name":"statusReceivedDate","in":"query","description":"Return all actions that received status update from device on or after the date and time provided","required":false},{"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"style":"form","explode":false,"name":"typeId","in":"query","description":"Returns actions that include specified action type(s)","required":false},{"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"style":"form","explode":false,"name":"deviceUid","in":"query","description":"Returns actions with given device unique internal identifier","required":false},{"schema":{"type":"string","format":"enum"},"name":"actionRecurrence","in":"query","description":"Option to indicate Action recurrence pattern. The following examples are Every hour, with no end date, Once in every 2 hours, with no end date etc., This is not a query parameter"},{"schema":{"type":"string","format":"date-time"},"name":"If-Modified-Since","in":"header","description":"Return full list of items if any modification since given date, or else return 304","required":false},{"schema":{"type":"string","format":"date-time"},"name":"since","in":"query","description":"Only return results that have been modified since given date","required":false},{"schema":{"type":"integer","format":"int32"},"name":"limit","in":"query","description":"Maximum number of results to return","required":false},{"schema":{"type":"integer","format":"int32"},"name":"offset","in":"query","description":"Start returning results from given offset","required":false},{"schema":{"type":"string","format":"string"},"name":"fields","in":"query","description":"Return only the attributes and metadata attributes of the response payload in the comma delimited list","required":false},{"schema":{"type":"string"},"name":"sort","in":"query","description":"Sorts the result by fields, e.g. ?sort=-firstName,+lastName, by default results are sorted by date and time when the item was last modified in descending order (newest first)"}],"responses":{"200":{"description":"Action list","headers":{"Last-Modified":{"schema":{"type":"string"},"description":"Date when the action list has been last modified"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/actionResponse"}}}},"204":{"description":"No Content"},"304":{"description":"The data has not been modified since the provided if-modified-since","headers":{"Last-Modified":{"schema":{"type":"string"},"description":"Date when the action list has been last modified"}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonResponseError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonResponseError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commonResponseError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifone.com/sca/space-quality-assessment/identify-openapi-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
